x = lambda a,b : a+b
print(x(29,23))

print((lambda a,b:(a*a+b*b))(2,3))
f = (lambda x: "even" if x % 2 == 0 else "odd")
print(f(3))
names=["Li","Lev Nikolayeviç","Ali","Veli","Cemal","Kemalettin"]
print(sorted(names))

def val(x):
    return(-len(x))

print(sorted(names,key=val))
print(sorted(names,key=lambda x:-len(x)))